#!/usr/bin/env python3
import logging
import test_integration
import test_unit
from neuralprophet import NeuralProphet, set_log_level

log = logging.getLogger("NP.test.debug")
log.setLevel("INFO")


def debug_logger():
    log.info("testing: Logger")
    log.setLevel("ERROR")
    log.parent.setLevel("WARNING")
    log.warning("### this WARNING should not show ###")
    log.parent.warning("1--- this WARNING should show")
    log.error("2--- this ERROR should show")

    log.setLevel("DEBUG")
    log.parent.setLevel("ERROR")
    log.debug("3--- this DEBUG should show")
    log.parent.warning("### this WARNING not show ###")
    log.error("4--- this ERROR should show")
    log.parent.error("5--- this ERROR should show, too")
    # test existing test cases
    # test_all(log_level="DEBUG")

    # test the set_log_level function
    log.parent.parent.setLevel("INFO")
    m = NeuralProphet(
        n_forecasts=3,
        n_lags=5,
        yearly_seasonality=False,
        weekly_seasonality=False,
        daily_seasonality=False,
        epochs=5,
    )
    set_log_level("DEBUG")
    log.parent.parent.debug("6--- this DEBUG should show")
    set_log_level(log_level="WARNING")
    log.parent.parent.debug("### this DEBUG should not show ###")
    log.parent.parent.info("### this INFO should not show ###")


def debug_all():
    pass
    # run from neuralprophet folder:
    # python3 -m unittest discover -s tests


def debug_one(verbose=True):
    if verbose:
        # very verbose option
        plot = True
        log.setLevel("DEBUG")
        log.parent.setLevel("DEBUG")
        log.parent.parent.setLevel("DEBUG")
    else:
        plot = False
        log.setLevel("INFO")
        log.parent.setLevel("INFO")
        log.parent.parent.setLevel("WARNING")

    test_integration.IntegrationTests.plot = plot
    itests = test_integration.IntegrationTests()

    test_unit.UnitTests.plot = plot
    utests = test_unit.UnitTests()
    ##
    utests.test_double_crossvalidation()
    ##
    itests.test_global_modeling()


if __name__ == "__main__":
    # debug_logger()
    # debug_one()
    pass
